diff --git a/app/functions/fn.common.php b/app/functions/fn.common.php
index 07ef69d1a10..f868db4c319 100755
--- a/app/functions/fn.common.php
+++ b/app/functions/fn.common.php
@@ -6489,7 +6489,7 @@ function fn_merge_styles(array $files, $styles = '', $prepend_prefix = '', array
      */
     fn_set_hook('merge_styles_file_hash', $files, $styles, $prepend_prefix, $params, $area, $css_dirs, $hash);
 
-    $filename = $prefix . '.' . $hash . '.css';
+    $filename = $prefix . '.' . $hash . fn_get_storage_data('cache_id') . '.css';
 
     $file_exists = Storage::instance('assets')->isExist($relative_path . $filename);
 
diff --git a/app/functions/smarty_plugins/block.scripts.php b/app/functions/smarty_plugins/block.scripts.php
index df99601ca8d..6152ebbd394 100644
--- a/app/functions/smarty_plugins/block.scripts.php
+++ b/app/functions/smarty_plugins/block.scripts.php
@@ -53,7 +53,7 @@ function smarty_block_scripts($params, $content, &$smarty, &$repeat)
             }
         }
 
-        $filename = 'js/tygh/scripts-' . md5(implode(',', $names)) . '.js';
+        $filename = 'js/tygh/scripts-' . md5(implode(',', $names)) . fn_get_storage_data('cache_id') . '.js';
         $file_exists = Storage::instance('assets')->isExist($filename);
 
         if (!$file_exists) {
